<div #messagesList *ngFor="let message of messages; index as i" class="chat-message" [class.chat-message--own]="message.userName === userName">
  <div class="chat-message__author" *ngIf="!hasPrevMessageSameAuthor(message, i)">{{message.userName}}</div>
  <div class="chat-message__body" [innerHtml]="message.text"></div>
</div>